Page MenuHomePhabricator

Deploy CentralNotice schema change
Closed, ResolvedPublic1 Estimate Story Points

Description

The easiest deployment procedure is probably the sql.php method from tin, documented here:
https://wikitech.wikimedia.org/wiki/How_to_do_a_schema_change#sql.php

Event Timeline

awight created this task.Jul 1 2015, 10:22 PM
awight claimed this task.
awight raised the priority of this task from to Medium.
awight updated the task description. (Show Details)
awight moved this task from Backlog to Pending Deployment on the Fundraising Sprint N*E*R*D board.
awight added subscribers: gerritbot, Liuxinyu970226, Aklapper and 2 others.
awight renamed this task from Deploy schema change to Deploy CentralNotice schema change.Jul 1 2015, 10:27 PM
awight set Security to None.
awight added a comment.Jul 3 2015, 5:45 PM

Removing from the sprint, after discussion. This can happen much closer to the time we deploy the feature proper.

A slightly mutant BLOB version has been deployed to master hence betawiki, note that the rest of the migration has to happen in a second patch now.

Is this blocked on something that makes us want to wait?

It's deployed to the beta cluster, but not to production. It could be deployed to production (the BLOB issue mentioned above is OK, no need for a second patch), though I was thinking of waiting until we tested everything on the beta cluster... Just on the intuition of not wanting to send anything to production until the user-facing feature (in this case, banner history) has been seen working as promised on beta. It doesn't necessarily have to be that way, though....

DStrine edited a custom field.Aug 3 2015, 8:17 PM
awight removed awight as the assignee of this task.Aug 19 2015, 11:01 PM
awight updated the task description. (Show Details)Aug 27 2015, 1:01 AM
AndyRussG closed this task as Resolved.Sep 3 2015, 8:25 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM